\chapter{Conclusions and future work}
\label{chapter5}
\thispagestyle{empty}

% \begin{quotation}
% {\footnotesize
% \noindent\emph{``Terence: Mi fai un gelato anche a me? Lo vorrei di pistacchio. \\
% Bud: Non ce l'ho il pistacchio. C'ho la vaniglia, cioccolato, fragola, limone e caff\'e. \\
% Terence: Ah bene. Allora fammi un cono di vaniglia e di pistacchio. \\
% Bud: No, non ce l'ho il pistacchio. C'ho la vaniglia, cioccolato, fragola, limone e caff\'e. \\
% Terence: Ah, va bene. Allora vediamo un po', fammelo al cioccolato, tutto coperto di pistacchio. \\
% Bud: Ehi, macche sei sordo? Ti ho detto che il pistacchio non ce l'ho! \\
% Terence: Ok ok, non c'e bisogno che t'arrabbi, no? Insomma, di che ce l'hai? \\
% Bud: Ce l'ho di vaniglia, cioccolato, fragola, limone e caffe! \\
% Terence: Ah, ho capito. Allora fammene uno misto: mettici la fragola, il cioccolato, la vaniglia, il limone e il caffe. Charlie, mi raccomando il pistacchio, eh.''}
% \begin{flushright}
% Pari e dispari
% \end{flushright}
% }
% \end{quotation}
% \vspace{0.5cm}

% \noindent Si mostrano le prospettive future di ricerca nell'area dove si \`e svolto il lavoro. Talvolta questa sezione pu\`o essere l'ultima sottosezione della precedente. Nelle conclusioni si deve richiamare l'area, lo scopo della tesi, cosa \`e stato fatto,come si valuta quello che si \`e fatto e si enfatizzano le prospettive future per mostrare come andare avanti nell'area di studio.

\section{Conclusions}
In this work it has been demonstrated that the DAgger approach can be applied to the optimal landing problem, and that it effectively improves the performance of the Machine Learning model at prediction time. The energy optimal and fuel optimal landing problem have been analyzed, both in 1D and 3D cases, using different kind of ML models such as Deep Neural Netowrk and Extreme Learning Machine. Supervised imitation learning has been applied for the first time to EO landing problems, using the time to go as input feature. It has been shown how ELMs are a powerful tool for regression landing problems, while they are a poor choice for classification problems.

A great number of experiments have been performed to choose the train set size, the model's architecture, the input features and how to implement DAgger. It has been proven that the application of DAgger outperformes classic supervised imitation learning, and allows to obtain good performance in sequence prediction problems even with very small datasets (in \cite{izzo1}, more than 13.000.000 points were used for the train set for a 2D FO problem, still reaching a final position in the order of meters).

It has been explained the choice of the input features for each problem, in particular in the FO problem where the choice of using the mass as input features is explained by the Markov property.

In conclusion, this work put the basis for a DAgger approach for supervised imitation learning applied to autonomous lunar landing.


\section{Future work}
In a real mission, the complete knowledge of the state is not easily available, and the Markov property is not trivial. Bloise and Orlandelli showed in \cite{bloise_orlandelli} that a combination of CNN and RNN can be used to bypass the need of the knowledge of the state, and the model can be trained instead with sequences of image-action pairs to perform an autonomous lunar landing. A natural continuation of this work is the application of the DAgger procedure to an image-guided landing scenario. This would require adapting the DAgger algorithm to sequences of inputs.

Another possible work is the application of the DAgger approach to navigation, such as interplanetary orbit transfers. In this case the main difference with respect to the lunar landing is the dimension of the train set, which would be much bigger because the trajectories would cover hundreds of thousands/millions of kilometers instead of just a few kilometers. A DAgger approach would help to achieve better performance avoiding a training set too large which may affect the feasibility of the training.